%
%lcaDelay
%
%  Calling Syntax
%
%lcaDelay(timeout)
%
%  Description
%
%   Delay execution of scilab or matlab for the specified time to handle
%   channel access activity (monitors). Using this call is not needed
%   under EPICS-3.14 since monitors are transparently handled by separate
%   threads. These ``worker threads'' receive data from CA on monitored
%   channels ``in the background'' while scilab/matlab are processing
%   arbitrary calculations. You only need to poll the library for the data
%   being ready using the [1]lcaNewMonitorValue()) routine.
%
%   Under 3.13 however, the user must periodically call lcaDelay() or
%   another labCA routine in order to yield the CPU to the CA library.
%
%  Parameters
%
%   timeout
%          A timeout value in seconds.
%     _________________________________________________________________
%
%
%    Till Straumann 2006-04-16
%
%References
%
%   1. lcaNewMonitorValue.html#lcanewmonitorvalue
