function [freq, Pin, amp, RMS D SNR SINAD SFDR] = adc_fsweep_detailed(sys)

pvroot=['IGPF:', sys, ':'];

Ts = 1/lcaGet([pvroot, 'RF_FREQ'])/1e6;
bin = 1/Ts/lcaGet('IGPF:TEST:RECLEN');
opts=optimset('TolX', 1e-6, 'TolFun', 1e-6, 'LargeScale', 'off');

k = 1;
while (1)
  fr = input('Enter next frequency point (MHz): ')*1e6;
  if (fr == 0)
    break;
  end
  % Locate frequency bin
  freq(k) = round(fr/bin)*bin;
  gpib_cmd('freq', freq(k));

  % Wait for the level setup
  Pin(k) = input('Enter input power (dBm): ');
  [sol, RMS(k), D(k), amp(k), fr, x, x_fit, SNR(k), SINAD(k), SFDR(k)] = adctest(sys, 1);

  figure(4); clf
  subplot(211);
  plot(freq(1:k)/1e6, amp(1:k), 'o-');
  xlabel('Frequency (MHz)');
  ylabel('Amplitude (counts)');
  grid;
  subplot(212);
  plot(freq(1:k)/1e6, RMS(1:k), 'o-r');
  xlabel('Frequency (MHz)');
  ylabel('RMS (counts)');
  grid; drawnow;
  k = k + 1;
end

figure(2); clf
subplot(211);
plot(freq/1e6, 20*log10(amp/2048) - Pin - 8, 'o-');
xlabel('Frequency (MHz)');
ylabel('Amplitude (dBFS)');
title('Response at -8 dBm input level');
grid;
subplot(212);
plot(freq/1e6, RMS, 'o-r');
xlabel('Frequency (MHz)');
ylabel('RMS (counts)');
grid;
