% gpib_cmd          - Send standard GPIB command to signal generator
%
% function gpib_cmd(type, val)
% type - 'freq' or 'amp'
% val  - value, frequency in Hz, amplitude in dBm
%
% Copyright (c) 2009 Dimtel, Inc., All Rights Reserved
%
% $Id: gpib_cmd.m,v 1.1 2010/04/01 09:28:43 dim Exp $
% $Date: 2010/04/01 09:28:43 $
% $Author: dim $
% $Revision: 1.1 $
% $Log: gpib_cmd.m,v $
% Revision 1.1  2010/04/01 09:28:43  dim
% Matlab test tools committed
%
%

function gpib_cmd(type, val)

shell_cmd = 'gpib_send';

if strcmp(type, 'freq')
  cmd = [shell_cmd, ' "freq ', num2str(val), ' hz"'];
else % assume amplitude
  cmd = [shell_cmd, ' "ampl ', num2str(val), ' dm"'];
end
system(cmd);
